View Issue Details

IDProjectCategoryView StatusLast Update
0002179WishesFast Findpublic2013-02-03 00:33
ReporterDVall Assigned To2useven10  
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version3.0 
Fixed in Version3.0 
Summary0002179: CtrlIns и quick-search
DescriptionВ настоящий момент CtrlIns работает с информацией из быстрого поиска как с текстом.
Т.е. после поиска файла чтоб скопировать в буфер обмене имя файла/каталога нужно нажать ESC.
Хотелось бы чтоб в данном случае окно быстрого поиска выступало всего лишь визуализатором процесса, а CtrlIns отрабатывал сразу на текущем файле/каталоге.
Или же в поставку FAR'а включать подобный макрос.

*********** "CtrlIns&FastSearch.farconfig" ************
  
 <?xml version="1.0" encoding="UTF-8" ?>
 <farconfig>
   <macros>
     <keymacros>
       <macro area="Search" key="CtrlIns" flags="DisableOutput" description="Адекватное поведение CtrlIns при поиске по Alt+буква"><text>Esc CtrlIns</text></macro>
       <macro area="Search" key="CtrlNum0" flags="DisableOutput" description="Адекватное поведение CtrlIns при поиске по Alt+буква"><text>Esc CtrlIns</text></macro>
     </keymacros>
   </macros>
 </farconfig>
  
***************************************************************
TagsNo tags attached.
Build2901

Activities

2useven10

2012-10-24 21:00

developer   bugnote:0009660

Есть возражения против того, чтобы отдать Ctrl-Ins панелям ?

DAtaMan

2012-10-24 21:51

reporter   bugnote:0009661

>Есть возражения против того, чтобы отдать Ctrl-Ins панелям ?
Конечно есть!
Завтра покажется "неадекватным" другое сочетание клавиш, послезавтра - третье...
А макросы тогда на что?

2useven10

2012-10-24 21:57

developer   bugnote:0009662

а по существу?
кому-то нужно копировать в клипборд несколько букв введённых в быстром поиске?

DAtaMan

2012-10-24 22:04

reporter   bugnote:0009663

Быстрый поиск, это прежде всего редактор строки.
И хотелось бы, чтобы сочетания клавиш во всех редакторах строк были одинаковы.

DAtaMan

2012-10-24 22:08

reporter   bugnote:0009664

Тем более, что автора инца устраивает:
>в поставку FAR'а включать подобный макрос.

Но макрос, конечно, нужен другой, посовременнее. :-)

2useven10

2012-10-24 22:08

developer   bugnote:0009665

это ни разу не редактор строки.
Попробуйте в нем нажать, например, Shift-Left.
Для того, чтобы Ctrl-Ins работал как сейчас предприняты специальные усилия.
Правка для 'отдать панелям' - удалить одну строку кода.

DAtaMan

2012-10-24 22:22

reporter   bugnote:0009666

>это ни разу не редактор строки.

Разве? Ведь: Edit FindEdit;

>Для того, чтобы Ctrl-Ins работал как сейчас предприняты специальные усилия.

Может и не зря?
Прошли годы, и вдруг стало заметно это "неудобство".

2useven10

2012-10-24 22:28

developer   bugnote:0009667

это кастом-контрол, в котором обрабатывается всего несколько клавиш.
остальные (в частности Ctrl-C) уходят дальше (в панели).
хотелось бы услышать реальные аргументы, что текущее поведение полезно,
а не 'раз так есть, значит так нужно' :)

DAtaMan

2012-10-24 22:34

reporter   bugnote:0009668

Например, это нужно в макросе, который закрывает быстрый поиск, что-то делает на панелях, а потом открывает быстрый поиск с прежним содержимым.

2useven10

2012-10-25 00:15

developer   bugnote:0009669

это может быть аргумент, если нет другого способа, получить содержимое.
хотя если так, правильнее было бы этот способ добавить.

DVall

2012-10-25 05:49

reporter   bugnote:0009670

Last edited: 2012-10-25 07:37

View 6 revisions

>> Быстрый поиск, это прежде всего редактор строки.
Смотреть надо по логике работы, а не по механизму реализации.
Быстрый поиск это "облегчатель" навигации по списку файлов. Соответственно вводится только часть информации.
Какая автоматизация может быть по неполной информации?

>> Например, это нужно в макросе, который закрывает быстрый поиск, что-то делает на панелях, а потом открывает быстрый поиск с прежним содержимым.
Пожалуйста приведите реальный пример такого поведения, а не гипотетический.

>> хотя если так, правильнее было бы этот способ добавить.
Вот с этим полностью согласен.

>> Но макрос, конечно, нужен другой, посовременнее. :-)
Что значит посовременнее(я без подколки). Или имелось ввиду новый формат?
Луа конвертер сконвертировал его чуть изменив синтаксис(и он отработал).

2useven10

2012-10-25 10:50

developer   bugnote:0009672

2901.
добавлен макрос Search.CtrlIns.farconfig
Кроме того RCtrlIns/Num0 теперь не обрабатываются в FastFind и уходят в панели.
Так что желаемое поведение можно получить и без макроса.
Кроме того есть ещё CtrlShiftIns, который и раньше обрабатывался в активной панели.

DVall

2012-10-26 06:15

reporter   bugnote:0009673

>> 2901.
>> добавлен макрос Search.CtrlIns.farconfig

При попытке /import
XML Error (9,26): Error reading Attributes.

Макрос в 1251, перевёл в UTF-8 всё пошло....

2useven10

2012-10-26 09:30

developer   bugnote:0009674

ок. поправил.

Issue History

Date Modified Username Field Change
2012-10-24 10:49 DVall New Issue
2012-10-24 21:00 2useven10 Note Added: 0009660
2012-10-24 21:51 DAtaMan Note Added: 0009661
2012-10-24 21:57 2useven10 Note Added: 0009662
2012-10-24 22:04 DAtaMan Note Added: 0009663
2012-10-24 22:08 DAtaMan Note Added: 0009664
2012-10-24 22:08 2useven10 Note Added: 0009665
2012-10-24 22:22 DAtaMan Note Added: 0009666
2012-10-24 22:28 2useven10 Note Added: 0009667
2012-10-24 22:34 DAtaMan Note Added: 0009668
2012-10-25 00:15 2useven10 Note Added: 0009669
2012-10-25 05:49 DVall Note Added: 0009670
2012-10-25 06:06 DVall Note Edited: 0009670 View Revisions
2012-10-25 06:11 DVall Note Edited: 0009670 View Revisions
2012-10-25 06:58 DVall Note Edited: 0009670 View Revisions
2012-10-25 06:59 DVall Note Edited: 0009670 View Revisions
2012-10-25 07:37 DVall Note Edited: 0009670 View Revisions
2012-10-25 10:50 2useven10 Note Added: 0009672
2012-10-25 10:50 2useven10 Assigned To => 2useven10
2012-10-25 10:50 2useven10 Status new => feedback
2012-10-26 06:15 DVall Note Added: 0009673
2012-10-26 06:15 DVall Status feedback => assigned
2012-10-26 09:30 2useven10 Note Added: 0009674
2012-10-26 09:31 2useven10 Status assigned => feedback
2012-10-29 04:44 2useven10 Build => 2901
2012-10-29 04:44 2useven10 Status feedback => closed
2012-10-29 04:44 2useven10 Resolution open => fixed
2012-10-29 04:44 2useven10 Fixed in Version => 3.0
2013-02-03 00:33 alexy Severity minor => feature